Package org.eclipse.swt.widgets

## Class Scale

- java.lang.Object
- - org.eclipse.swt.widgets.Widget
  - - org.eclipse.swt.widgets.Control
    - - org.eclipse.swt.widgets.Scale

All Implemented Interfaces:
  `Drawable`

    public class Scale
    extends Control

Instances of the receiver represent a selectable user interface object that present a range of continuous numeric values.

Styles:
  HORIZONTAL, VERTICAL
Events:
  Selection

Note: Only one of the styles HORIZONTAL and VERTICAL may be specified.

IMPORTANT: This class is not intended to be subclassed.

See Also:
  Scale snippets, SWT Example: ControlExample, Sample code and further information
Restriction:
  This class is not intended to be subclassed by clients.

### Field Summary

### Fields inherited from class org.eclipse.swt.widgets.Control

`handle`

### Constructor Summary

Constructors
`Scale​(Composite parent, int style)` Constructs a new instance of this class given its parent and a style value describing its behavior and appearance.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addSelectionListener​(SelectionListener listener)` Adds the listener to the collection of listeners who will be notified when the user changes the receiver's value, by sending it one of the messages defined in the `SelectionListener` interface.
`int` `getIncrement()` Returns the amount that the receiver's value will be modified by when the up/down (or right/left) arrows are pressed.
`int` `getMaximum()` Returns the maximum value which the receiver will allow.
`int` `getMinimum()` Returns the minimum value which the receiver will allow.
`int` `getPageIncrement()` Returns the amount that the receiver's value will be modified by when the page increment/decrement areas are selected.
`int` `getSelection()` Returns the 'selection', which is the receiver's position.
`void` `removeSelectionListener​(SelectionListener listener)` Removes the listener from the collection of listeners who will be notified when the user changes the receiver's value.
`void` `setIncrement​(int increment)` Sets the amount that the receiver's value will be modified by when the up/down (or right/left) arrows are pressed to the argument, which must be at least one.
`void` `setMaximum​(int value)` Sets the maximum value that the receiver will allow.
`void` `setMinimum​(int value)` Sets the minimum value that the receiver will allow.
`void` `setPageIncrement​(int pageIncrement)` Sets the amount that the receiver's value will be modified by when the page increment/decrement areas are selected to the argument, which must be at least one.
`void` `setSelection​(int value)` Sets the 'selection', which is the receiver's value, to the argument which must be greater than or equal to zero.

### Methods inherited from class org.eclipse.swt.widgets.Control

`addControlListener, addDragDetectListener, addFocusListener, addGestureListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTouchListener, addTraverseListener, computeSize, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getCursor, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getOrientation, getParent, getRegion, getShell, getSize, getTextDirection, getToolTipText, getTouchEnabled, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeGestureListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTouchListener, removeTraverseListener, requestLayout, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setDragDetect, setEnabled, setFocus, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setOrientation, setParent, setRedraw, setRegion, setSize, setSize, setTextDirection, setToolTipText, setTouchEnabled, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, traverse, traverse, update`

### Methods inherited from class org.eclipse.swt.widgets.Widget

`addDisposeListener, addListener, checkSubclass, checkWidget, dispose, getData, getData, getDisplay, getListeners, getStyle, isAutoDirection, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, reskin, setData, setData, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.swt.graphics.Drawable

`isAutoScalable`

### Constructor Detail

#### Scale

    public Scale​(Composite parent,
                 int style)

Constructs a new instance of this class given its parent and a style value describing its behavior and appearance.

The style value is either one of the style constants defined in class `SWT` which is applicable to instances of this class, or must be built by bitwise OR'ing together (that is, using the `int` "|" operator) two or more of those `SWT` style constants. The class description lists the style constants that are applicable to the class. Style bits are also inherited from superclasses.

Parameters:
  `parent` - a composite control which will be the parent of the new instance (cannot be null)
  `style` - the style of control to construct
Throws:
  `IllegalArgumentException` -
  - ERROR_NULL_ARGUMENT - if the parent is null
  `SWTException` -
  - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the parent
  - ERROR_INVALID_SUBCLASS - if this class is not an allowed subclass
See Also:
  `SWT.HORIZONTAL`, `SWT.VERTICAL`, `Widget.checkSubclass()`, `Widget.getStyle()`

### Method Detail

#### addSelectionListener

    public void addSelectionListener​(SelectionListener listener)

Adds the listener to the collection of listeners who will be notified when the user changes the receiver's value, by sending it one of the messages defined in the `SelectionListener` interface.

`widgetSelected` is called when the user changes the receiver's value. `widgetDefaultSelected` is not called.

Parameters:
  `listener` - the listener which should be notified
Throws:
  `IllegalArgumentException` -
  - ERROR_NULL_ARGUMENT - if the listener is null
  `SWTException` -
  - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
  - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
See Also:
  `SelectionListener`, `removeSelectionListener(org.eclipse.swt.events.SelectionListener)`

#### getIncrement

    public int getIncrement()

Returns the amount that the receiver's value will be modified by when the up/down (or right/left) arrows are pressed.

Returns:
  the increment
Throws:
  `SWTException` -
  - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
  - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

#### getMaximum

    public int getMaximum()

Returns the maximum value which the receiver will allow.

Returns:
  the maximum
Throws:
  `SWTException` -
  - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
  - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

#### getMinimum

    public int getMinimum()

Returns the minimum value which the receiver will allow.

Returns:
  the minimum
Throws:
  `SWTException` -
  - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
  - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

#### getPageIncrement

    public int getPageIncrement()

Returns the amount that the receiver's value will be modified by when the page increment/decrement areas are selected.

Returns:
  the page increment
Throws:
  `SWTException` -
  - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
  - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

#### getSelection

    public int getSelection()

Returns the 'selection', which is the receiver's position.

Returns:
  the selection
Throws:
  `SWTException` -
  - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
  - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

#### removeSelectionListener

    public void removeSelectionListener​(SelectionListener listener)

Removes the listener from the collection of listeners who will be notified when the user changes the receiver's value.

Parameters:
  `listener` - the listener which should no longer be notified
Throws:
  `IllegalArgumentException` -
  - ERROR_NULL_ARGUMENT - if the listener is null
  `SWTException` -
  - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
  - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
See Also:
  `SelectionListener`, `addSelectionListener(org.eclipse.swt.events.SelectionListener)`

#### setIncrement

    public void setIncrement​(int increment)

Sets the amount that the receiver's value will be modified by when the up/down (or right/left) arrows are pressed to the argument, which must be at least one.

Parameters:
  `increment` - the new increment (must be greater than zero)
Throws:
  `SWTException` -
  - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
  - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

#### setMaximum

    public void setMaximum​(int value)

Sets the maximum value that the receiver will allow. This new value will be ignored if it is not greater than the receiver's current minimum value. If the new maximum is applied then the receiver's selection value will be adjusted if necessary to fall within its new range.

Parameters:
  `value` - the new maximum, which must be greater than the current minimum
Throws:
  `SWTException` -
  - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
  - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

#### setMinimum

    public void setMinimum​(int value)

Sets the minimum value that the receiver will allow. This new value will be ignored if it is negative or is not less than the receiver's current maximum value. If the new minimum is applied then the receiver's selection value will be adjusted if necessary to fall within its new range.

Parameters:
  `value` - the new minimum, which must be nonnegative and less than the current maximum
Throws:
  `SWTException` -
  - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
  - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

#### setPageIncrement

    public void setPageIncrement​(int pageIncrement)

Sets the amount that the receiver's value will be modified by when the page increment/decrement areas are selected to the argument, which must be at least one.

Parameters:
  `pageIncrement` - the page increment (must be greater than zero)
Throws:
  `SWTException` -
  - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
  - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

#### setSelection

    public void setSelection​(int value)

Sets the 'selection', which is the receiver's value, to the argument which must be greater than or equal to zero.

Parameters:
  `value` - the new selection (must be zero or greater)
Throws:
  `SWTException` -
  - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
  - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver